=== modified file 'bzrlib/selftest/test_smart_add.py'
--- bzrlib/selftest/test_smart_add.py	2005-08-25 01:13:32 +0000
+++ bzrlib/selftest/test_smart_add.py	2005-08-25 01:16:45 +0000
@@ -59,3 +59,13 @@
                              (path, None))
         for path in child_paths:
             self.assertEqual(child_branch.inventory.path2id(path), None)
+
+    def test_add_paths(self):
+        """Test smart-adding a list of paths."""
+        from bzrlib.add import smart_add
+        paths = ("file1", "file2")
+        self.build_tree(paths)
+        branch = Branch(".", init=True)
+        smart_add(paths, False, True)
+        for path in paths:
+            self.assertNotEqual(branch.inventory.path2id(path), None)

